## lxc 4.0.12

=== meson_options.txt ===
# -*- mode: meson -*-

option('tests', type : 'boolean', value: 'false',
       description : 'enable tests')

option('runtime-path', type : 'string', value : '/run',
       description : 'the runtime directory')

option('init-script', type : 'combo',
       choices : ['systemd', 'sysvinit', 'openrc', 'upstart'], value : 'systemd',
       description : 'init script')

option('apparmor-cache-dir', type : 'string', value : 'cache/lxc/apparmor',
       description : 'the AppArmor cache directory')

option('rootfs-mount-dir', type : 'string', value : 'lib/x86_64-linux-gnu/lxc',
       description : 'the rootfs mount directory')

option('cgroup-pattern', type : 'string', value : '',
       description : 'the rootfs mount directory')

option('log-path', type : 'string', value : 'log/lxc',
       description : 'the rootfs mount directory')

option('config-path', type : 'string', value : 'lib/lxc',
       description : 'the rootfs mount directory')

option('global-config', type : 'string', value : 'lxc/lxc.conf',
       description : 'the rootfs mount directory')

option('docdir', type : 'string',
       description : 'documentation directory')

option('user-network-conf', type : 'string', value : 'lxc/lxc-usernet',
       description : 'user network interface configuration file')

option('user-network-db', type : 'string', value : 'lxc/nics',
       description : 'user network database')

option('io-uring-event-loop', type : 'boolean', value: 'false',
       description : 'enable io-uring based event loop')

## lxc 0.7.2

=== debian/changelog ===
lxc (0.7.2-1ubuntu1) maverick-proposed; urgency=low

  [ Serge Hallyn ]
  * debian/rules: add -r (--no-restart-on-upgrade) to DEB_DH_INSTALLINIT_ARGS
    to prevent upgrading lxc from forcing lxc autostart containers to
    stop and restart.  (LP: #753308)
  * debian/control: set ubuntu maintainer.

 -- Clint Byrum <clint@ubuntu.com>  Mon, 12 Sep 2011 17:38:28 -0700

lxc (0.7.2-1) unstable; urgency=low

  * New upstream version
  * Convert libcap dependency to versioned (closes: #571527)
  * Bump up standards version to 3.9.0
  * Fix too-deep /usr/lib/lxc/lxc path (closes: #587847)
  * Add init script (closes: #573830)
    Thanks to Przemysław Knycz <pknycz@kolnet.eu> for the base example
  * Bump up standards version (3.9.1)

 -- Guido Trotter <ultrotter@debian.org>  Wed, 04 Aug 2010 13:23:42 -0400

lxc (0.7.1-1) unstable; urgency=low

  * New upstream version
  * Convert to quilt format
  * Use pristine-tar option in git-buildpackage
  * lxc-$distro scripts (debian, fedora, sshd, ubuntu, busybox) are now
    shipped under /usr/lib/lxc/lxc/templates/
  * Bump up standards version

 -- Guido Trotter <ultrotter@debian.org>  Mon, 28 Jun 2010 10:15:48 +0100

lxc (0.6.5-1) unstable; urgency=low

  * New upstream version (closes: #566771)

 -- Guido Trotter <ultrotter@debian.org>  Mon, 25 Jan 2010 15:39:38 +0000

lxc (0.6.4-2) unstable; urgency=low

  * Ship the /var/lib/lxc directory (closes: #565519)

 -- Guido Trotter <ultrotter@debian.org>  Sat, 16 Jan 2010 16:57:00 +0000

lxc (0.6.4-1) unstable; urgency=low

  [ Stéphane Graber ]
  * Upgrade standards-version to 3.8.3
  * Drop the copy of etc/* from rules as "etc" is no longer in the tarball

  [ Guido Trotter ]
  * New Upstream Version
  * Update libcap2-dev dependency to libcap-dev
  * Install upstream-built man pages via debian/lxc.manpages
  * Drop unneeded docbook-utils build dependency

 -- Guido Trotter <ultrotter@debian.org>  Sun, 10 Jan 2010 10:40:21 +0100

lxc (0.6.3-2) unstable; urgency=low

  * Fix spelling error in README.Debian
  * Move .gbp.conf to debian/gbp.conf

 -- Guido Trotter <ultrotter@debian.org>  Sun, 26 Jul 2009 12:06:18 +0200

lxc (0.6.3-1) unstable; urgency=low

  * New Upstream Version
  * Remove duplicate build-dependency on autotools-dev
  * Build depend on linux-libc-dev
  * Disable checking of netlink headers from configure
    (currently fails under sid)
  * Upgrade standards-version to 3.8.2

 -- Guido Trotter <ultrotter@debian.org>  Sat, 25 Jul 2009 12:24:30 +0200

lxc (0.6.2-2) unstable; urgency=low

  * Add the vcs entry in debian/control
  * Update README.Debian mentioning lxc-checkconfig
  * Update README.Debian mentioning the cgroups file system (closes: #532886)
    (Thanks to Daniel Pittman for that issue and a suggested fix)

 -- Guido Trotter <ultrotter@debian.org>  Fri, 12 Jun 2009 15:27:43 +0100

lxc (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Guido Trotter <ultrotter@debian.org>  Wed, 29 Apr 2009 17:49:13 +0100

lxc (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #519408)
  * Move a few scripts to "examples"

 -- Guido Trotter <ultrotter@debian.org>  Fri, 27 Mar 2009 19:45:45 +0000

=== debian/control ===
Source: lxc
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guido Trotter <ultrotter@debian.org>
Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libcap-dev (>= 1:2.17-2), linux-libc-dev
Standards-Version: 3.9.1
Homepage: http://lxc.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/lxc.git

Package: lxc
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcap2-bin
Description: Linux containers userspace tools
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, pids, ipc, cpu and memory allocation and which can be
 created using the Control Group and Namespace features included in recent Linux
 Kernels.
 .
 This package contains the lxc-* tools which can be used to start a single
 daemon in a container, or to boot an entire "containerized" system, and to
 successively manage and debug your containers.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
# We don't have patches, for now...
#include /usr/share/cdbs/1/rules/dpatch.mk

# Install liblxc in out private area, for now, until it's stable.
LIBDIR="\$${prefix}/lib/lxc"
DEB_CONFIGURE_EXTRA_FLAGS=--libdir=$(LIBDIR) \
			  --with-rootfs-path=$(LIBDIR)
DEB_DH_INSTALLINIT_ARGS=-r

binary-install/lxc::
	cp debian/lxc.overrides debian/lxc/usr/share/lintian/overrides/lxc

## lxc 0.7.3

=== debian/changelog ===
lxc (0.7.3-1) unstable; urgency=low

  * New upstream version (closes: #602631)
    - Support for specifying debian suite (closes: #600459)
    - Support for declaring a different architecture (closes: #597875)
  * Fix restart init.d action sequence (closes: #597998)
  * Move too-deep /usr/lib/lxc/lxc path to a proper patch
  * Disable checkroot script in debian template (closes: #601001)
  * Create missing tty devices under squeeze (closes: #600466)
  * Restore bindmount functionality in newer kernels (closes: #604475)
  * Make debian mirror configurable (closes: #601422)
  * Default to cdn.debian.net as a debian mirror (closes: #600464)

 -- Guido Trotter <ultrotter@debian.org>  Mon, 06 Dec 2010 16:24:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lxc
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Trotter <ultrotter@debian.org>
+Maintainer: Guido Trotter <ultrotter@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libcap-dev (>= 1:2.17-2), linux-libc-dev
 Standards-Version: 3.9.1
 Homepage: http://lxc.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 LIBDIR="\$${prefix}/lib/lxc"
 DEB_CONFIGURE_EXTRA_FLAGS=--libdir=$(LIBDIR) \
 			  --with-rootfs-path=$(LIBDIR)
-DEB_DH_INSTALLINIT_ARGS=-r
 
 binary-install/lxc::
 	cp debian/lxc.overrides debian/lxc/usr/share/lintian/overrides/lxc

## lxc 0.7.3.1

=== debian/changelog ===
lxc (0.7.3.1-0ubuntu1) natty; urgency=low

  * Base on new upstream git tree with new maverick and natty templates,
    and able to run without ns cgroup.
  * Send a 'container=lxc' variable to upstart.  The upstream git has
    the same patch, though this tree has it as a quilt patch.
  * Add lxcguest package which converts a system into one which can
    boot upstart both as a container and a (kvm or bare-metal) host.
  * Add a MIRROR default in /etc/default/lxc, and use that in the
    debootstrap command in the lucid, maverick and natty templates.
  * Remove 0004-restore-lxc.mount-lxc.mount.entry-functionality.patch
    which prevents containers from starting.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Sun, 23 Jan 2011 17:28:55 -0600

## lxc 0.7.4

=== debian/changelog ===
lxc (0.7.4-0ubuntu5) natty; urgency=low

  * Add ARM to list of supported archs - LP: #745884

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 06 Apr 2011 16:49:15 +0200

lxc (0.7.4-0ubuntu4) natty; urgency=low

  * Add lxcguest to the list of packages installed by the natty template.
    (LP: #745907)
  * Since lxcguest will be installed, don't install our own console.conf,
    and don't clear out /lib/init/fstab.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 01 Apr 2011 08:50:36 -0500

lxc (0.7.4-0ubuntu3) natty; urgency=low

  * Fix an error in the syntax in the ubuntu templates - they were using
    upstart job syntax which is not valid in bash for including the
    /etc/default files. (LP: #742770)
  * debian/lxc.default: Comment out the example defines so as not to cause
    trouble, and fix the default MIRROR.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 25 Mar 2011 15:55:05 -0500

lxc (0.7.4-0ubuntu2) natty; urgency=low

  * Fix an error in the syntax in the ubuntu templates - they were using
    upstart job syntax which is not valid in bash for including the
    /etc/default files. (LP: #742770)
  * Now that the /etc/default file is actually sourced, comment out
    the example defines.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 25 Mar 2011 15:55:05 -0500

lxc (0.7.4-0ubuntu1) natty; urgency=low

  * New upstream version.
  * Refreshed patches, dropped 0005-env.patch since it was already
    accepted upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 10 Mar 2011 07:25:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: lxc
 Section: admin
 Priority: optional
-Maintainer: Guido Trotter <ultrotter@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libcap-dev (>= 1:2.17-2), linux-libc-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Trotter <ultrotter@debian.org>
+Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libcap-dev (>= 1:2.17-2), linux-libc-dev, docbook-utils
 Standards-Version: 3.9.1
 Homepage: http://lxc.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/collab-maint/lxc.git
@@ -22,3 +23,16 @@
  daemon in a container, or to boot an entire "containerized" system, and to
  successively manage and debug your containers.
 
+Package: lxcguest
+Section: admin
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Linux container guest package
+ Containers are insulated areas inside a system, which have their own namespace
+ for filesystem, network, pids, ipc, cpu and memory allocation and which can be
+ created using the Control Group and Namespace features included in recent Linux
+ Kernels.
+ .
+ This package contains the upstart scripts required to allow an Ubuntu
+ system to boot in lxc.
+

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,14 @@
 # Install liblxc in out private area, for now, until it's stable.
 LIBDIR="\$${prefix}/lib/lxc"
 DEB_CONFIGURE_EXTRA_FLAGS=--libdir=$(LIBDIR) \
-			  --with-rootfs-path=$(LIBDIR)
+			  --with-rootfs-path=$(LIBDIR) \
+			  --enable-doc
 
 binary-install/lxc::
 	cp debian/lxc.overrides debian/lxc/usr/share/lintian/overrides/lxc
+	dh_install
+
+binary-install/lxcguest::
+	dh_install
+	dh_installinit --no-start --name=console
+	dh_installinit --no-start --name=lxcmount

=== debian/watch ===
version=3
http://lxc.sourceforge.net/download/lxc/lxc-(.*)\.tar\.gz

## lxc 0.7.5

=== debian/changelog ===
lxc (0.7.5-3ubuntu70) precise-proposed; urgency=medium

  * d/lxc.apparmor: add ptmx bind mount rule with different syntax to work
    around a regression in the aa parser.  (LP: #1504781)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 28 Oct 2015 09:06:26 -0500

lxc (0.7.5-3ubuntu69) precise-proposed; urgency=low

  * mkdir /var/{cache.lib}/lxc before chmoding them to avoid FTBFS.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 29 Oct 2013 15:01:36 -0500

lxc (0.7.5-3ubuntu68) precise-proposed; urgency=low

  * debian/rules and debian/lxc.postinst: set /var/lib/lxc and /var/cache/lxc
    to be perms 700.  That prevents unprivileged users from running setuid-root
    applications.  Install that way by default, and for any previous versions,
    update the permissions.  After this version, respect the user's choice.
    (LP: #1244635)
  * 0312-ubuntu-Improper-pty-permissions.patch: fix permissions with which
    devpts is mounted in containers.  (LP: #1242913)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 29 Oct 2013 13:32:42 -0500

lxc (0.7.5-3ubuntu67) precise-proposed; urgency=low

  * Don't directly write/remove /etc/dnsmasq.d/lxc as that's causing problems
    when removing and reinstalling lxc.
    Instead have dnsmasq ship /etc/dnsmasq.d-available/lxc and create/remove
    a symlink in /etc/dnsmasq.d/. (LP: #1113821)
  * Bump debhelper dependency and add Pre-Depends on newer dpkg for above fix.
  * Allow the container to mount efivars on /sys/firmware/efi/efivars.
    efivars is automatically mounted by mountall on UEFI systems, failure to
    do so leads to a complete boot failure. (LP: #1117589)
  * 0221-make-nonflush-upgrades-robust: be more robust about out of date
    container caches.  (LP: #942862)
  * 0207-ubuntu-cloud-fixes.patch: cleanups to lxc-ubuntu-cloud.in
    fix for quantal images that do not have user 'ubuntu' present
    (LP: #1045955)
  * 0301-debian-copy-config: Pass all the arguments to copy_configuration.
    (LP: #1111613)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Feb 2013 13:08:07 -0500

lxc (0.7.5-3ubuntu66) precise-proposed; urgency=low

  [ William Grant ]
  * lxc-start-ephemeral: exit with the command's status, not always 0.
    (LP: #1050351)

  [ Serge Hallyn ]
  * 0227-ubuntu-cloud-parsing: fix some option parsing bugs in ubuntu-cloud
    template (LP: #1076031)
  * 0229-lxc-clone-mount-fix: fix wrong handling of lxc.mount entries in
    lxc-clone.  (LP: #1084089)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 29 Nov 2012 12:43:44 -0600

lxc (0.7.5-3ubuntu65) precise-proposed; urgency=low

  * Add proper fix (X001-lxc-ls-onelisting) for lxc-ls showing running
    containers multiple times.  (LP: #1043018)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 07 Nov 2012 11:03:36 -0600

lxc (0.7.5-3ubuntu64) precise-proposed; urgency=low

  [ Serge Hallyn ]
  * lxc.lxc-net.upstart: tell iptables not to masquerate packets between
    containers.  (LP: #1045947)
  * 0204-ubuntu-cloud-userdata-path: Fix broken behavior when a relative
    path is passed into '--userdata' argument. (LP: #1043582)
  * 0205-lxc-ls-manpage-document-two-lines: Document the default two-line
    output format of lxc-ls. (LP: #1043018)
  * lxc-start-ephemeral: support fedora and centos (LP: #1042431)
  * 0222-debian-dhcp3-package: fix install of debian testing containers.
    (LP: #1052972)
  * 0100-template-cleanup-cache: clean up template cache if interrupted
    during build. (LP: #1037331)

  [ Scott Moser ]
  * 0225-ubuntu-cloud-numeric-owner: use --numeric-owner when extracting root
    filesystems with tar (LP: #1066084)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 24 Oct 2012 14:17:55 -0500

lxc (0.7.5-3ubuntu63) precise-proposed; urgency=low

  * lxc.lxc-net.upstart: replace the check for USE_LXC_BRIDGE (which could be
    changed from true to false after starting lxc-net) with one for the
    existence /var/run/lxc.  (LP: #1019290)
  * lxc-start-ephemeral: use unionfs only for the rootfs itself
    (LP: #959352)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 14 Aug 2012 11:38:25 -0500

lxc (0.7.5-3ubuntu62) precise-proposed; urgency=low

  * lxc.postrm: support "purge" command (LP: #1029716)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 27 Jul 2012 03:31:39 +0000

lxc (0.7.5-3ubuntu61) precise-proposed; urgency=low

  * Fix lxc-ubuntu and lxc-ubuntu-cloud to fix the /dev/shm workaround to only
    trigger when /dev/shm is not a symlink. (LP: #974584)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 26 Jul 2012 13:30:48 -0400

lxc (0.7.5-3ubuntu60) precise-proposed; urgency=low

  * Update lxc-ubuntu template to use "dpkg --add-architecture" in containers
    running dpkg >= 1.16.2. (LP: #1017862)
  * Patch lxc-clone to stop messing with dhclient.conf when it contains a
    placeholder (<hostname> or gethostname()). Fixes cases where dpkg will
    prompt for modified config file on upgrade. (LP: #1021416)
  * Allow write access to /proc/sys/kernel/shm* as these are namespaced (IPC).
    (LP: #1021411)
  * Allow fstype=fuse.*, for all containers. (LP: #1021421)
  * Rebase lxc-list on quantal's, properly shows FROZEN containers and prints
    error messages on stderr. (LP: #1021429)
  * Only run dh_apparmor against the lxc package. (LP: #1021428)
  * Depend on adduser as it's being used in postinst.
  * Fix lintian-overrides syntax.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 05 Jul 2012 12:18:47 -0400

lxc (0.7.5-3ubuntu59) precise-proposed; urgency=low

  [ Serge Hallyn ]
  * 0085-pivot-dir: use a directory other than /mnt to put the pivot_root
    old dir into (LP: #986385)
  * 0086-lxc-unshare-zero-args: fix lxc-unshare segfaulting when no command
    is given (LP: #1011603)
  * 0087-lxc-ls-dash: fix lxc-ls for containers whose names start with a
    dash  (LP: #1006332)
  * 0088-ubuntu-template-flock: don't fail when flock is busy, just wait,
    so concurrent lxc-creates don't break.  (LP: #1007483)


=== debian/control ===
Source: lxc
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>
Build-Depends:
 debhelper (>= 9), autotools-dev, dh-apparmor, docbook-utils, libcap-dev,
 linux-libc-dev, libapparmor-dev
Standards-Version: 3.9.2
Homepage: http://lxc.sourceforge.net/

Package: lxc
Architecture: linux-any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends}, ${shlibs:Depends}, apparmor, bridge-utils, dnsmasq-base, iptables, rsync, adduser
Recommends: debootstrap, cloud-utils, libcap2-bin, cgroup-lite | cgroup-bin, openssl
Suggests: btrfs-tools, lvm2, qemu-user-static
Description: Linux containers userspace tools
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, pids, ipc, cpu and memory allocation and which can be
 created using the Control Group and Namespace features included in recent Linux
 Kernels.
 .
 This package contains the lxc-* tools which can be used to start a single
 daemon in a container, or to boot an entire "containerized" system, and to
 successively manage and debug your containers.

Package: lxc-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 ${misc:Depends}, lxc (= ${binary:Version}), lxc-dev (= ${binary:Version})
Description: Linux containers userspace tools (debug)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, pids, ipc, cpu and memory allocation and which can be
 created using the Control Group and Namespace features included in recent Linux
 Kernels.
 .
 This package contains the debugging symbols.

Package: lxc-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends}, lxc (= ${binary:Version})
Description: Linux containers userspace tools (development)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, pids, ipc, cpu and memory allocation and which can be
 created using the Control Group and Namespace features included in recent Linux
 Kernels.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALLINIT_ARGS = --upstart-only

%:
	dh ${@} --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/lxc --with-rootfs-path=\$${prefix}/lib/lxc/root --enable-doc

override_dh_install:
	mkdir -p debian/lxc/etc/apparmor.d/lxc
	cp debian/lxc.apparmor debian/lxc/etc/apparmor.d/usr.bin.lxc-start
	cp debian/lxc-containers.apparmor debian/lxc/etc/apparmor.d/lxc-containers
	cp debian/lxc-default.apparmor debian/lxc/etc/apparmor.d/lxc/lxc-default
	if [ -x /usr/bin/dh_apparmor ]; then \
		dh_apparmor -p lxc --profile-name=usr.bin.lxc-start; \
	fi
	# copy apport hook
	mkdir -p debian/lxc/usr/share/apport/package-hooks
	cp debian/lxc.apport debian/lxc/usr/share/apport/package-hooks/source_lxc.py
	dh_install --fail-missing
	# copy dnsmasq configuration
	mkdir -p debian/lxc/etc/dnsmasq.d-available
	cp debian/lxc.dnsmasq debian/lxc/etc/dnsmasq.d-available/lxc

	# removing useless files
	rm -f debian/lxc/usr/lib/lxc/templates/lxc-lenny
	# replace upstream lxc-wait which can only run one-at-a-time
	cp -f debian/local/lxc-wait debian/lxc/usr/bin/

override_dh_strip:
	dh_strip --dbg-package=lxc-dbg

override_dh_builddeb:
	# prevent system users from using setuid-root binaries under /var/lib/lxc
	mkdir -p debian/lxc/var/lib/lxc
	chmod 700 debian/lxc/var/lib/lxc
	mkdir -p debian/lxc/var/cache/lxc
	chmod 700 debian/lxc/var/cache/lxc
	dh_builddeb

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade --name=lxc
	dh_installinit --no-restart-on-upgrade --name=lxc-net

## lxc 0.8.0~rc1

=== debian/changelog ===
lxc (0.8.0~rc1-8+deb7u2) wheezy; urgency=medium

  * Non-maintainer upload.
  * Use latest upstream provided lxc-debian that actually works. Closes: #680469
  * Add rsync to Recommends since lxc-debian uses it.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 16 Dec 2013 08:51:43 +0100

lxc (0.8.0~rc1-8+deb7u1) wheezy; urgency=low

  * Non-maintainer upload.
  * Adding updated Danish debconf translations from Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #684572).
  * Adding updated Czech debconf translations from Michal Simunek
    <michal.simunek@gmail.com> (Closes: #679681).
  * Adding Japanese debconf translations from Kenshi Muto
    <kmuto@debian.org> (Closes: #683123).

 -- David Prévot <taffit@debian.org>  Wed, 22 Aug 2012 16:43:25 -0400

lxc (0.8.0~rc1-8) unstable; urgency=low

  * Removing comments in lxc-debconf debconf templates, apparently
    that's no longer supported (Closes: #679849).
  * Removing lxc directory in postrm (Closes: #679842).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 04 Jul 2012 00:24:59 +0200

lxc (0.8.0~rc1-7) unstable; urgency=low

  * Updating email address in copyright headers for local additions.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 14:08:11 +0200

lxc (0.8.0~rc1-6) unstable; urgency=low

  * Adding copyright headers to local debian additions.
  * Create /etc/lxc/auto when creating symlinks for the unlikely event
    that user has it removed.
  * Switching to xz compression.
  * Updating GPL boilerplate in copyright file.
  * Simplyfing backports compatible use of multiarch debhelper install
    files.
  * Adding prerm script to remove alternatives (Closes: #668438).
  * Correcting spelling typo in readme.
  * Clarify in readme the name of the symlinks in /etc/lxc/auto.
  * Deriving container name from parent directory of the configuration
    file, not from the name of the configuration file (Closes: #673552).
  * Tidying up initscripts start sequence.
  * Adding explicit docbook build-depends.
  * Updating lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 00:05:28 +0200

lxc (0.8.0~rc1-5) unstable; urgency=low

  * Updating todo file.
  * Prefering iputils-ping over inetutils-ping in lxc-progress.cfg
    example.
  * Temporarily including bzip2 manually when bootstrapping until
    #657560 has been fixed in unstable.
  * Only show experimental as a valid optional archive choice in lxc-
    debconf for sid, rather than security, volatile, backports, and
    proposed-updates (which all are evidently unavailable for unstable).
  * Adding updated Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #671053).
  * Adding updated Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #677404).
  * Adding updated Swedish debconf translations from Martin Bagge
    <brother@bsnet.se> (Closes: #673889).
  * Adding updated Portuguese debconf translations from Miguel
    Figueiredo <elmig@debianpt.org> (Closes: #674950).
  * Adding updated Dutch debconf translations from Jeroen Schot
    <schot@a-eskwadraat.nl> (Closes: #673776).
  * Correcting incorrect lxc-netstat.patch, thanks to Serge Hallyn
    <serge.hallyn@canonical.com> (Closes: #677124).
  * Updating lxc-directories.patch (Closes: #664764).
  * Updating base-files hack for newer versions of base-files (sid).
  * Moving away from linux-container and use live-config instead.
  * Replacing linux-container debconf prefix with lxc-debconf for
    outside template preseeding.
  * Updating some remaining leftover cruft from linux-container in
    variable namespacing.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 14 Jun 2012 10:15:53 +0200

lxc (0.8.0~rc1-4) unstable; urgency=low

  * Correcting spelling typo in debconf templates (Closes: #663547).
  * Adding updated French debconf translations from Christian Perrier
    <bubulle@debian.org> (Closes: #663546).
  * Moving architecture independent files from /usr/lib/*/lxc to
    /usr/share/lxc (Closes: #664160).
  * Correcting multiarch conditional typo in rules.
  * Creating lxc directories in a dangling symlink proof way in order to
    respect sysadmins decisions for temporary incomplete deployments.
  * Adding patch to avoid messing with rootfs directory creation in lxc-
    create where its not required (Closes: #664159).
  * Adding updated Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #665366).
  * Adding updated Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #665370).
  * Also setting libexedir via configure argument which in turn will set
    lxcinitdir properly on multiarch (Closes: #664764).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 10 Apr 2012 20:04:36 +0200

lxc (0.8.0~rc1-3) unstable; urgency=low

  * Adding pre-depends to multiarch-support (Closes: #663274).
  * Updating lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 10 Mar 2012 09:51:28 +0100

lxc (0.8.0~rc1-2) unstable; urgency=low

  * Helping to migrate lxc-shutdown debconf setting for alternative on
    upgrades from 0.7.5 to 0.8.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 09 Mar 2012 15:27:21 +0100

lxc (0.8.0~rc1-1) unstable; urgency=low

  * Adding updated Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #658362).
  * Adding patch from Ivan Vilata i Balaguer <ivan@selidor.net> to allow
    the escape prefix to escape itself in lxc-console (Closes: #659011).
  * Adding late host command in addition to late command in lxc-debconf.
  * Setting default action for lxc shutdown to halt as it's almost
    always safe and better for data integrity (e.g. some database
    servers need a regular sysvinit shutdown).
  * Replacing configuration variable in /etc/default/lxc for default


=== debian/control ===
Source: lxc
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>
Build-Depends:
 debhelper (>= 9), autotools-dev, docbook, docbook-utils, libcap-dev,
 linux-libc-dev
Standards-Version: 3.9.3
Homepage: http://lxc.sourceforge.net/

Package: lxc
Architecture: linux-any
Pre-Depends: ${multiarch:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: debootstrap | cdebootstrap, rsync, libcap2-bin
Conflicts: cgroup-bin
Suggests: lxctl
Description: Linux Containers userspace tools
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package provides the lxc-* tools, which can be used to start a single
 daemon in a container, or to boot an entire "containerized" system, and to
 manage and debug your containers.

Package: lxc-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 ${misc:Depends}, lxc (= ${binary:Version}), lxc-dev (= ${binary:Version})
Description: Linux Containers userspace tools (debug)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the debugging symbols.

Package: lxc-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends}, lxc (= ${binary:Version})
Description: Linux Containers userspace tools (development)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh ${@} --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/lxc --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --with-rootfs-path=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/lxc --enable-doc

override_dh_auto_install:
	dh_auto_install

	# creating lxc directories
	mkdir -p debian/tmp/etc/lxc/auto
	mkdir -p debian/tmp/etc/lxc/debconf
	mkdir -p debian/tmp/usr/share/lxc/cache
	mkdir -p debian/tmp/usr/share/lxc/packages
	mkdir -p debian/tmp/var/log/lxc

	# debian local additions
	mkdir -p debian/lxc/usr/bin
	cp debian/local/lxc debian/lxc/usr/bin
	cp debian/local/lxc-backup debian/lxc/usr/bin
	cp debian/local/lxc-halt debian/lxc/usr/bin
	cp debian/local/lxc-list debian/lxc/usr/bin
	cp debian/local/lxc-ls debian/lxc/usr/bin
	cp debian/local/lxc-restore debian/lxc/usr/bin

	mkdir -p debian/lxc/etc/bash_completion.d
	cp debian/local/lxc.sh debian/lxc/etc/bash_completion.d

	mkdir -p debian/lxc/usr/share/lxc/templates
	cp -r debian/local/lxc-debconf* debian/lxc/usr/share/lxc/templates

	# replacing upstreams debian template
	#rm -f debian/tmp/usr/share/lxc/templates/lxc-debian
	#ln -s lxc-debconf debian/tmp/usr/share/lxc/templates/lxc-debian
	#ln -s lxc-debconf.d debian/tmp/usr/share/lxc/templates/lxc-debian.d

	# adding progress template symlink
	ln -s lxc-debconf debian/tmp/usr/share/lxc/templates/lxc-progress
	ln -s lxc-debconf.d debian/tmp/usr/share/lxc/templates/lxc-progress.d

	# removing currently unsupported lxc-ubuntu until lxc-debconf also supports ubuntu
	rm -f debian/tmp/usr/share/lxc/templates/lxc-ubuntu

	# removing useless files
	rm -f debian/tmp/usr/bin/lxc-ls
	rm -f debian/tmp/usr/share/lxc/templates/lxc-busybox
	rm -f debian/tmp/usr/share/lxc/templates/lxc-lenny

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_compress:
	dh_compress -X.cfg

override_dh_fixperms:
	dh_fixperms

	chmod 0700 debian/lxc/var/log/lxc

override_dh_gencontrol:
ifeq ($(DEB_HOST_MULTIARCH),)
	dh_gencontrol
else
	dh_gencontrol -- -Vmultiarch:Pre-Depends="multiarch-support"
endif

override_dh_install:
	dh_install --fail-missing

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_strip:
	dh_strip --dbg-package=lxc-dbg

## lxc 0.9.0~alpha3

=== debian/changelog ===
lxc (0.9.0~alpha3-0ubuntu2) raring; urgency=low

  * Remove hardcoded --enable-seccomp from debian/rules as seccomp isn't
    present on armhf and powerpc, leading to FTBFS on those two architectures.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 18 Feb 2013 19:01:38 -0500

lxc (0.9.0~alpha3-0ubuntu1) raring; urgency=low

  * New upstream release (0.9.0~alpha3)
  * NOTE: We took the opportunity of this new upstream release bringing
    its lot of significant changes to reduce the amount of custom code that's
    shipped in the packages and hasn't been submitted upstream.
    If you strongly feel about any of those, please submit a cleaned up version
    to upstream LXC for inclusion.

    The following tools/templates have been dropped:
      - lxc-debconf (upstream ships lxc-debian and lxc-lenny)
      - lxc (use the lxc-* commands directly)
      - lxc-backup (was just a wrapper on rsync using hardcoded paths)
      - lxc-restore (was just a wrapper on rsync using hardcoded paths)

    And the following are provided through compatibility symlinks and will be
    dropped in final 0.9:
      - lxc-list (equivalent of lxc-ls --fancy)
      - lxc-halt (replaced by lxc-shutdown)

    This release also deprecates the following tools as they were considered
    mostly broken and the user namespace support makes them mostly useless:
      - lxc-setcap
      - lxc-setuid

  * The following patches were included upstream:
    - 0013-lxc-create-use-default-config.patch
    - 0030-ubuntu-template-fail.patch
    - 0031-ubuntu-template-resolvconf.patch
    - 0044-lxc-destroy-rm-autos
    - 0045-fix-other-templates
    - 0046-lxc-clone-change-hwaddr
    - 0047-bindhome-check-shell
    - 0049-ubuntu-template-sudo-and-cleanup
    - 0050-clone-lvm-sizes
    - 0052-ubuntu-bind-user-conflict
    - 0053-lxc-start-pin-rootfs
    - 0054-ubuntu-debug
    - 0055-ubuntu-handle-badgrp
    - 0056-dont-watch-utmp
    - 0057-update-manpages
    - 0058-fixup-ubuntu-cloud
    - 0059-reenable-daily-cloudimg
    - 0060-lxc-shutdown
    - 0061-lxc-start-apparmor
    - 0062-templates-relative-paths
    - 0063-check-apparmor-enabled
    - 0064-apparmor-mount-proc
    - 0065-fix-bindhome-relpath
    - 0066-confile-typo
    - 0067-templates-lxc-profile
    - 0068-fix-lxc-config-layout
    - 0069-ubuntu-cloud-fix
    - 0070-templates-rmdir-dev-shm
    - 0071-ubuntu-cloud-fix-image-extraction
    - 0072-lxc-shutdown-help
    - 0073-lxc-destroy-waits-before-destroy
    - 0074-lxc-execute-find-init
    - 0075-lxc-ls-bash
    - 0076-fix-sprintfs
    - 0077-execute-without-rootfs
    - 0078-lxc-clone-quote-line
    - 0079-quantal-support
    - 0080-drop-maverick
    - 0081-fix-multiarch-install
    - 0082-umount-old-proc
    - 0083-ubuntu-simplify-template
    - 0084-lxc-ubuntu-drop-duplicate-code.patch
    - 0085-pivot-dir
    - 0086-lxc-unshare-zero-args
    - 0087-lxc-ls-dash
    - 0088-ubuntu-template-flock
    - 0089-lxc-netstat-exec
    - 0090-lxc-ubuntu-use-dpkg-add-architecture
    - 0091-introduce-container-hooks.patch
    - 0092-clone-no-dhclient.conf-update-when-not-hardcoded
    - 0093-lxc-clone-copy-fstab
    - 0094-fix-dev-shm-check
    - 0095-lxc-clone-change-uuid-on-xfs.patch
    - 0096-lxc-wait-add-timeout.patch
    - 0097-seccomp
    - 0098-config-file-includes
    - 0099-cleanup-after-template-help
    - 0100-template-cleanup-cache
    - 0101-template-empty-apt-cache
    - 0102-lxc-start-d-check-privs
    - 0103-make-rootfs-location-optional
    - 0104-add-option-to-lxc-attach-to-select-ns
    - 0105-lxc-attach-add-R-option
    - 01-lxc-directories.patch
    - 0200-liblxc
    - 0201-fix-mkdir-race
    - 0202-make-api-start-reliable
    - 0203-python-lxc
    - 0204-ubuntu-cloud-userdata-path
    - 0205-lxc-ls-manpage-document-two-lines
    - 0206-lxc-wait-initialize-timeout
    - 0207-ubuntu-cloud-fixes.patch
    - 0208-fix-getitem-utsname-segv
    - 0209-reload-conf-after-create
    - 0210-fix-debian-templates
    - 0211-add-hooks-to-manpage
    - 0213-add-premount-hook.patch
    - 0214-give-pclose-errno
    - 0215-lxc-clone-name-arg
    - 0216-hook-kmsg-to-console
    - 0217-lxc-clone-fix-fstab
    - 0218-api-shutdown-fix-doublestop
    - 0219-python-module-improvements
    - 0220-getitem-per-hook-type
    - 0221-make-nonflush-upgrades-robust
    - 0222-debian-dhcp3-package
    - 0223-ubuntu-template-user-msg
    - 0225-ubuntu-cloud-numeric-owner
    - 0226-add-lxc-autodev
    - 0227-ubuntu-cloud-parsing
    - 0228-ignore-kmsg-setup-failure
    - 0229-lxc-clone-mount-fix
    - 0230-autodev-makedev-console
    - 02-lxc-distclean.patch
    - 03-lxc-configuration-path.patch
    - 04-lxc-create-template-name.patch
    - 05-doc-ip-address.patch
    - 06-bash.patch
    - 07-lxc-netstat.patch
    - 08-lxc-debconf.patch
    - 09-lxc-create-trap-name.patch
    - 10-lxc-clone-trap-name.patch
    - 11-lxc-console-escape.patch
    - 12-lxc-create-rootfs.patch
    - compilecleanups/0001-replace-HOOK-define-with-proper-code.patch
    - compilecleanups/0002-add-prototype-for-clone-2-as-per-manpage.patch
    - compilecleanups/0003-check-chdir-return-value.patch
    - compilecleanups/0004-Fix-passing-non-const-char-in-for-const-char.patch
    - compilecleanups/0005-return-nonvoid
    - compilecleanups/0006-unused-var
    - compilecleanups/0007-tests-check-return-values
    - seccompapi/0001-seccomp-free-conf-seccomp-filename-char.patch
    - seccompapi/0002-README-fix-typo-in-example-script.patch
    - seccompapi/0003-support-new-libseccomp-api.patch

  * New patches:
    - transition/00-redirect-lxc-halt.patch: Show warning when lxc-halt is
      called as lxc-shutdown now replaces it.
    - transition/01-redirect-lxc-list.patch: Show warning when lxc-list is
      called as lxc-ls now replaces it. Default to --fancy in this mode.
    - 0000-add-autostart.patch: Add autostart support to lxc-destroy and
      lxc-ls.

  * Disable the test binaries, those are only useful in the dailies.


=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALLINIT_ARGS = --upstart-only

SHELL := sh -e

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh ${@} --with autotools_dev --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--with-rootfs-path=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/lxc \
		--enable-python $(shell DEB_CFLAGS_MAINT_APPEND="$$(python3-config --includes)" dpkg-buildflags --export=configure) \
		--enable-doc --disable-rpath --enable-apparmor --with-distro=ubuntu

override_dh_install:
	# copy apparmor profiles
	mkdir -p debian/lxc/etc/apparmor.d/lxc
	mkdir -p debian/lxc/etc/apparmor.d/abstractions/lxc
	cp debian/apparmor/usr.bin.lxc-start debian/lxc/etc/apparmor.d/usr.bin.lxc-start
	cp debian/apparmor/lxc-containers debian/lxc/etc/apparmor.d/lxc-containers
	cp debian/apparmor/lxc-default debian/lxc/etc/apparmor.d/lxc/lxc-default
	cp debian/apparmor/lxc-default-with-nesting debian/lxc/etc/apparmor.d/lxc/lxc-default-with-nesting
	cp debian/apparmor/abstractions-lxc-container-base debian/lxc/etc/apparmor.d/abstractions/lxc/container-base
	cp debian/apparmor/abstractions-lxc-start-container debian/lxc/etc/apparmor.d/abstractions/lxc/start-container
	if [ -x /usr/bin/dh_apparmor ]; then \
		dh_apparmor -p lxc --profile-name=usr.bin.lxc-start; \
	fi

	# copy apport hook
	mkdir -p debian/lxc/usr/share/apport/package-hooks
	cp debian/lxc.apport debian/lxc/usr/share/apport/package-hooks/source_lxc.py

	# copy example hooks
	mkdir -p debian/lxc/usr/share/lxc
	cp -r debian/hooks debian/lxc/usr/share/lxc/
	chmod ugo+x debian/lxc/usr/share/lxc/hooks/*

	# copy dnsmasq configuration
	mkdir -p debian/lxc/etc/dnsmasq.d-available
	cp debian/lxc.dnsmasq debian/lxc/etc/dnsmasq.d-available/lxc

	dh_install --fail-missing

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade --name=lxc
	dh_installinit --no-restart-on-upgrade --name=lxc-net
	dh_installinit --no-restart-on-upgrade --name=lxc-instance

override_dh_strip:
	dh_strip --dbg-package=lxc-dbg

## lxc 0.9.0~rc1

=== debian/changelog ===
lxc (0.9.0~rc1-0ubuntu2) raring; urgency=low

  * Fix python3-lxc on armhf (LP: #1159817).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 26 Mar 2013 11:21:46 -0400

lxc (0.9.0~rc1-0ubuntu1) raring; urgency=low

  * New upstream release (0.9.0~rc1)
    - New features
      * alpine: template now supports bridges auto-detect and setting hwaddr
      * archlinux: update template to use lxc.stopsignal and lxc.kmsg
      * core: Add example hooks from Ubuntu package
      * core: Add --lxcpath (-P) option to all the tools
      * core: attach: now also changes the apparmor profile
      * core: attach: try to detect the user shell when attaching
      * core: config: add lxc.kmsg (defaults to old enabled behaviour)
      * core: config: add lxc.stopsignal (defaults to old SIGKILL behaviour)
      * core: lxc-ls: Implement support for nested containers
      * core: New exported API function, get_version
      * lenny: Remove deprecated template
      * lxc-ps: New '--host' option
      * opensuse: update template to support 12.2 and 12.3
    - Bugfixes
      * core: Add missing config.h includes.
      * core: af_unix: make sure to keep useful errno
      * core: attach: fixed lxc-attach to deal with user namespaces
      * core: attach: free result before potentially strduping a second time.
      * core: c api -> createl: correctly handle 0 template args
      * core: commands.c: sanity check to not write too-long cgroup path name
      * core: ensure clock_gettime symbol is found
      * core: Fix typos identified by lintian
      * core: fix writing multiple uidmap ranges
      * core: give a hint if old cgroup can't be moved
      * core: improved README
      * core: lxc_id_mapping: don't try to write mappings if there are none
      * core: make [ug]id map ordering consistent with /proc/<nr>/[ug]id_map
      * core: only INFO rcfile if asprintf successfully allocates it
      * core: Remove redundant clearenv call
      * core: Replace deprecated AM_CONFIG_HEADER
      * core: rootfs pin: fix two bugs
      * core: try to set clone_children when setting up cgroups
      * core: Use AC_SEARCH_LIBS instead of hardcoded lists
      * core: userns: handle delayed write errors at fclose
      * legacy: only output appropriate directories/containers in lxc-ls
      * lxc-ubuntu{-cloud}: Config layout tweaking
      * opensuse: fix template to better work with lxc-clone, support shutdown,
      * oracle: template fixes for older releases
      * python: Drop use of hardcoded @LXCPATH@
      * rpm: include hook files and tests in make dist
        various code improvements
  * Remove example hooks from packaging as they have now been upstreamed.
  * Update apparmor profile to allow for lxc-create to work for nested
    precise containers.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 19 Mar 2013 11:32:44 -0400

lxc (0.9.0~alpha3-0ubuntu3) raring; urgency=low

  * 0001-fix-race-with-fast-init: Before starting lxc_mainloop, check whether
    lxc-init has already exited.  If it has, return immediately to reap it.
    (LP: #1134923) (LP: #1144873)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 11 Mar 2013 10:14:39 -0500

=== debian/rules ===
--- 
+++ 
@@ -34,11 +34,6 @@
 	mkdir -p debian/lxc/usr/share/apport/package-hooks
 	cp debian/lxc.apport debian/lxc/usr/share/apport/package-hooks/source_lxc.py
 
-	# copy example hooks
-	mkdir -p debian/lxc/usr/share/lxc
-	cp -r debian/hooks debian/lxc/usr/share/lxc/
-	chmod ugo+x debian/lxc/usr/share/lxc/hooks/*
-
 	# copy dnsmasq configuration
 	mkdir -p debian/lxc/etc/dnsmasq.d-available
 	cp debian/lxc.dnsmasq debian/lxc/etc/dnsmasq.d-available/lxc
